ChangeSet 1.1254.4.27, 2003/06/04 12:32:25-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in drivers/ide/setup-pci.c


 drivers/ide/setup-pci.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/ide/setup-pci.c b/drivers/ide/setup-pci.c
--- a/drivers/ide/setup-pci.c	Wed Jun  4 18:10:12 2003
+++ b/drivers/ide/setup-pci.c	Wed Jun  4 18:10:12 2003
@@ -870,13 +870,13 @@
  	
 void __init ide_scan_pcibus (int scan_direction)
 {
-	struct pci_dev *dev;
+	struct pci_dev *dev = NULL;
 	struct pci_driver *d;
 	struct list_head *l, *n;
 
 	pre_init = 0;
 	if (!scan_direction) {
-		pci_for_each_dev(dev) {
+		while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) {
 			ide_scan_pcidev(dev);
 		}
 	} else {
